## madness 0.1.0

=== DESCRIPTION ===
Package: madness
Maintainer: Steven E. Pav <shabbychef@gmail.com>
Authors@R: c(person(c("Steven", "E."), "Pav", role=c("aut","cre"),
    email="shabbychef@gmail.com"))
Version: 0.1.0
Date: 2015-12-14
License: LGPL-3
Title: Automatic Differentiation of Multivariate Operations
BugReports: https://github.com/shabbychef/madness/issues
Description: An object that supports automatic differentiation
    of matrix- and multidimensional-valued functions with
    respect to multidimensional independent variables.
    Automatic differentiation is via 'forward accumulation'.
Depends: R (>= 3.0.2)
Imports: matrixcalc, expm, methods
Suggests: testthat, knitr
URL: https://github.com/shabbychef/madness
Collate: 'AllClass.r' 'utils.r' 'Ops.r' 'bind.r' 'blockrep.r'
        'coerce.r' 'det.r' 'elwise.r' 'madness_pkg.r' 'matwise.r'
        'numderiv.r' 'reshape.r' 'solve.r' 'sum.r' 'sums.r' 'theta.r'
        'trace.r' 'twomoments.r' 'vcov.r' 'vec.r'
RoxygenNote: 5.0.0
NeedsCompilation: no
Packaged: 2015-12-15 18:31:48 UTC; spav
Author: Steven E. Pav [aut, cre]
Repository: CRAN
Date/Publication: 2015-12-15 20:49:11
