## madness 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Steven E. Pav <shabbychef@gmail.com>
 Authors@R: c(person(c("Steven", "E."), "Pav", role=c("aut","cre"),
     email="shabbychef@gmail.com"))
-Version: 0.2.0
-Date: 2016-01-19
+Version: 0.2.1
+Date: 2017-04-13
 License: LGPL-3
 Title: Automatic Differentiation of Multivariate Operations
 BugReports: https://github.com/shabbychef/madness/issues
@@ -22,7 +22,7 @@
         'sums.r' 'theta.r' 'to_objective.r' 'trace.r' 'twomoments.r'
         'utils.r' 'vcov.r' 'vec.r'
 NeedsCompilation: no
-Packaged: 2016-01-20 05:59:55 UTC; spav
+Packaged: 2017-04-14 05:22:01 UTC; spav
 Author: Steven E. Pav [aut, cre]
 Repository: CRAN
-Date/Publication: 2016-01-20 09:12:28
+Date/Publication: 2017-04-14 14:49:46 UTC
