## madness 0.2.2

=== DESCRIPTION ===
Package: madness
Maintainer: Steven E. Pav <shabbychef@gmail.com>
Authors@R: c(person(c("Steven", "E."), "Pav", role=c("aut","cre"),
    email="shabbychef@gmail.com"))
Version: 0.2.2
Date: 2017-04-25
License: LGPL-3
Title: Automatic Differentiation of Multivariate Operations
BugReports: https://github.com/shabbychef/madness/issues
Description: An object that supports automatic differentiation
    of matrix- and multidimensional-valued functions with 
    respect to multidimensional independent variables. 
    Automatic differentiation is via 'forward accumulation'.
Depends: R (>= 3.2.0)
Imports: Matrix, matrixcalc, expm, methods
Suggests: testthat, R.rsp, knitr
URL: https://github.com/shabbychef/madness
VignetteBuilder: R.rsp
Collate: 'AllClass.r' 'utils.r' 'Ops.r' 'bind.r' 'blockrep.r'
        'coerce.r' 'det.r' 'diag.r' 'eigen.r' 'elwise.r'
        'madness_pkg.r' 'matwise.r' 'max.r' 'norm.r' 'numderiv.r'
        'reshape.r' 'solve.r' 'sum.r' 'sums.r' 'theta.r'
        'to_objective.r' 'trace.r' 'twomoments.r' 'vcov.r' 'vec.r'
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-04-26 04:53:12 UTC; spav
Author: Steven E. Pav [aut, cre]
Repository: CRAN
Date/Publication: 2017-04-26 05:36:59 UTC
