## madness 0.2.5

=== DESCRIPTION ===
--- 
+++ 
@@ -4,8 +4,8 @@
     role=c("aut","cre"),
     email="shabbychef@gmail.com",
     comment = c(ORCID = "0000-0002-4197-6195")))
-Version: 0.2.4
-Date: 2018-08-26
+Version: 0.2.5
+Date: 2018-08-27
 License: LGPL-3
 Title: Automatic Differentiation of Multivariate Operations
 BugReports: https://github.com/shabbychef/madness/issues
@@ -26,7 +26,7 @@
         'to_objective.r' 'trace.r' 'twomoments.r' 'vcov.r' 'vec.r'
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2018-08-27 05:47:09 UTC; root
+Packaged: 2018-08-28 04:59:55 UTC; root
 Author: Steven E. Pav [aut, cre] (<https://orcid.org/0000-0002-4197-6195>)
 Repository: CRAN
-Date/Publication: 2018-08-27 06:22:15 UTC
+Date/Publication: 2018-08-29 08:12:24 UTC
