## madness 0.2.6

=== DESCRIPTION ===
--- 
+++ 
@@ -4,8 +4,8 @@
     role=c("aut","cre"),
     email="shabbychef@gmail.com",
     comment = c(ORCID = "0000-0002-4197-6195")))
-Version: 0.2.5
-Date: 2018-08-27
+Version: 0.2.6
+Date: 2019-04-18
 License: LGPL-3
 Title: Automatic Differentiation of Multivariate Operations
 BugReports: https://github.com/shabbychef/madness/issues
@@ -24,9 +24,9 @@
         'madness_pkg.r' 'matwise.r' 'max.r' 'norm.r' 'numderiv.r'
         'reshape.r' 'solve.r' 'sum.r' 'sums.r' 'theta.r'
         'to_objective.r' 'trace.r' 'twomoments.r' 'vcov.r' 'vec.r'
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2018-08-28 04:59:55 UTC; root
+Packaged: 2019-04-19 04:34:05 UTC; root
 Author: Steven E. Pav [aut, cre] (<https://orcid.org/0000-0002-4197-6195>)
 Repository: CRAN
-Date/Publication: 2018-08-29 08:12:24 UTC
+Date/Publication: 2019-04-19 05:10:03 UTC
