=== debian/changelog ===
madness (0.10-8) unstable; urgency=medium

  * debian/rules (override_dh_auto_test): Remove comma from
    make filter function. (Closes: #831546)

 -- Graham Inggs <ginggs@debian.org>  Sun, 17 Jul 2016 18:50:16 +0200

madness (0.10-7) unstable; urgency=medium

  * debian/patches/fix_glibc_2.23.patch: Cherrypick patch from upstream to use
    std::isnan from cmath and fix FTBFS, thanks Logan Rosen. (Closes: #818812)
  * debian/rules (OMPI_MCA): Replace obsolete orte_rsh_agent with plm_rsh_agent.
  * debian/rules (override_dh_auto_test): Disable tests on armel and i386.
  * debian/*: Fix various issues in copyright, unusual spacing in control,
    wrap-and-sort.
  * debian/control: Use secure URI for Vcs-Browser.
  * debian/control: Add myself to Uploaders.
  * debian/control: Bump Standards-Version to 3.9.8, no further changes.

 -- Graham Inggs <ginggs@debian.org>  Sat, 16 Jul 2016 14:03:33 +0200

madness (0.10-6) unstable; urgency=medium

  * debian/rules: Pass --disable-optimal to configure unless `custom' is set in
    DEB_BUILD_OPTIONS.  This prevents regular packages being built with
    -march=native.
  * debian/control (Build-Depends): Added mpi-default-bin.

 -- Michael Banck <mbanck@debian.org>  Mon, 18 Jan 2016 10:54:39 +0100

madness (0.10-5) unstable; urgency=medium

  * debian/rules (override_dh_auto_test): Set OMPI_MCA_orte_rsh_agent
    environment variable to make test suite run in a chroot without
    errors from OpenMPI.

 -- Michael Banck <mbanck@debian.org>  Sun, 17 Jan 2016 21:09:22 +0100

madness (0.10-4) unstable; urgency=medium

  [ Michael Banck ]
  * debian/control (Build-Depends): Replaced libopenmpi-dev with
    mpi-default-dev.
  * debian/rules (/usr/share/mpi-default-dev/debian_defaults): New included
    file.
  * debian/rules: Allow for parallel building, patch by Aron Xu 
    (Closes: #798246).
  * debian/rules (override_dh_auto_test): Print testuite results if one or more
    tests fail.
  * debian/patches/fix_cblas_definitions.patch: New patch, fixes cblas
    definitions, taken from upstream commit b244daad.

  [ Daniel Leidert ]
  * debian/watch: Added.

 -- Michael Banck <mbanck@debian.org>  Sun, 17 Jan 2016 16:48:21 +0100

madness (0.10-3) unstable; urgency=medium

  * debian/libmadness-dev.install: Update to reflect CMake config file
    directory change.

 -- Michael Banck <mbanck@debian.org>  Mon, 03 Aug 2015 10:44:40 +0200

madness (0.10-2) unstable; urgency=medium

  * debian/copyright: Updated for previously missed gtest code, thanks to
    Thorsten Alteholz.
  * debian/control (Vcs-Browser, Vcs-Svn): Fixed URLs.
  * debian/rules (override_dh_auto_test): Skip tests if nocheck is set in
    $(DEB_BUILD_OPTIONS).
  * debian/control (Description): Fix typo.
  * debian/patches/cmake_config.patch: New patch, fixes the CMake config file
    and installs it to the expected directory.
  * debian/patches/non_intel_asm_fix.patch: New patch, works around unportable
    assembler code, taken from upstream commit f679f8f5 (Closes: #794278).
  * debian/rules (override_dh_auto_clean): Remove files generated by
    autogen.sh.

 -- Michael Banck <mbanck@debian.org>  Mon, 03 Aug 2015 00:42:51 +0200

madness (0.10-1) unstable; urgency=medium

  * Initial upload (Closes: #658299).

 -- Michael Banck <mbanck@debian.org>  Sun, 05 Jul 2015 11:27:13 +0200
